Package com.xebialabs.xlrelease.utils

# Class Graph.DFS<A,B>

java.lang.Object
com.xebialabs.xlrelease.utils.Graph.DFS<A,B>

All Implemented Interfaces:
  `Serializable`, `scala.Equals`, `scala.Product`

Enclosing class:
  `Graph<A>`

public static class Graph.DFS<A,B> extends Object implements scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DFS(B value, scala.collection.immutable.Set<A> visited, scala.collection.immutable.Set<A> temp, scala.collection.immutable.List<A> order, boolean done, boolean hasCycle)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canEqual(Object x$1)`
  `<A, B> Graph.DFS<A,B>`
  `copy(B value, scala.collection.immutable.Set<A> visited, scala.collection.immutable.Set<A> temp, scala.collection.immutable.List<A> order, boolean done, boolean hasCycle)`
  `<A, B> B`
  `copy$default$1()`
  `<A, B> scala.collection.immutable.Set<A>`
  `copy$default$2()`
  `<A, B> scala.collection.immutable.Set<A>`
  `copy$default$3()`
  `<A, B> scala.collection.immutable.List<A>`
  `copy$default$4()`
  `<A, B> boolean`
  `copy$default$5()`
  `<A, B> boolean`
  `copy$default$6()`
  `boolean`
  `done()`
  `boolean`
  `equals(Object x$1)`
  `boolean`
  `hasCycle()`
  `int`
  `hashCode()`
  `scala.collection.immutable.List<A>`
  `order()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `scala.collection.immutable.Set<A>`
  `temp()`
  `String`
  `toString()`
  `B`
  `value()`
  `scala.collection.immutable.Set<A>`
  `visited()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### DFS

    public DFS(B value, scala.collection.immutable.Set<A> visited, scala.collection.immutable.Set<A> temp, scala.collection.immutable.List<A> order, boolean done, boolean hasCycle)

- ## Method Details

  - ### value

    public B value()

  - ### visited

    public scala.collection.immutable.Set<A> visited()

  - ### temp

    public scala.collection.immutable.Set<A> temp()

  - ### order

    public scala.collection.immutable.List<A> order()

  - ### done

    public boolean done()

  - ### hasCycle

    public boolean hasCycle()

  - ### copy

    public <A, B> Graph.DFS<A,B> copy(B value, scala.collection.immutable.Set<A> visited, scala.collection.immutable.Set<A> temp, scala.collection.immutable.List<A> order, boolean done, boolean hasCycle)

  - ### copy$default$1

    public <A, B> B copy$default$1()

  - ### copy$default$2

    public <A, B> scala.collection.immutable.Set<A> copy$default$2()

  - ### copy$default$3

    public <A, B> scala.collection.immutable.Set<A> copy$default$3()

  - ### copy$default$4

    public <A, B> scala.collection.immutable.List<A> copy$default$4()

  - ### copy$default$5

    public <A, B> boolean copy$default$5()

  - ### copy$default$6

    public <A, B> boolean copy$default$6()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`